Skip site navigation (1) Skip section navigation (2)

Re: Yum Update Errors

From: Bob McConnell <rmcconne(at)lightlink(dot)com>
To: pgsql-novice(at)postgresql(dot)org
Subject: Re: Yum Update Errors
Date: 2009-06-11 12:56:15
Message-ID: 4A30FEEF.2030103@lightlink.com (view raw or flat)
Thread:
Lists: pgsql-novice
brucejhyatt(at)yahoo(dot)com wrote:
> --- On Mon, 6/8/09, Bruce Hyatt <brucejhyatt(at)yahoo(dot)com> wrote:
> 
>>> Bruce Hyatt <brucejhyatt(at)yahoo(dot)com> writes:
>>>>> just fine -- and I don't have any idea why
>> libpq3
>>> is
>>>>> missing...
>>>> It's NOT missing. That's what has me baffled.
>>> Maybe it's not so much libpq3 as some dependency of
>> it
>>> that's missing. Have you tried "ldd" on the library file to see
>> whether it
>>> can find all dependencies?
>> I'm not familiar with ldd and the man page doesn't give much detail
>> but it looks like they're all there.
> 
> I also tried "yum provides libpq.so.3" which returned
> compat-postgresql-libs-3-2PGDG.rhel4.i686 and I do have that RPM
> installed.
> 
> I thought this might be due to CentOS upgrading from 4.7 to 4.8 so I
> tried "yum upgrade" and got the same error (Missing Dependency:
> libpq.so.3 is needed by package...).
> 
> I first thought this was a Linux/yum problem and I asked in a CentOS
> forum first but it all revolves around Postgresql packages and the
> most recent Postgres update.
> 
> Is there anything left except reinstalling Postgres?

Does yum think it is missing because it can't find it, or because it is 
not listed in its internal index as having been installed by yum?

Note: I have never used yum, being quite happy with Slackware's own 
package managers. But I always install Apache, PHP and Postgres from 
source downloaded from their own sites in order to get the right 
combination of options and cleanly eliminate all references to the MySQL 
addiction-ware.

Bob McConnell
N2SPP


In response to

pgsql-novice by date

Next:From: Bruce HyattDate: 2009-06-11 17:20:29
Subject: Re: Yum Update Errors
Previous:From: brucejhyattDate: 2009-06-11 00:34:28
Subject: Re: Yum Update Errors

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group